EdgeCron API Docs
API ReferenceEndpoints

Disable an endpoint

POST /endpoints/{id}/disable

Disable an endpoint

Disable a webhook endpoint.

POST
https://api.edgecron.com/v1/endpoints/{id}/disable

Authentication required

Send `X-Key-ID`, `X-Timestamp`, and `X-Signature` with every request. The signature is lowercase hex HMAC-SHA256 over `timestamp + "\n" + payload`.

Parameters

ParametersInTypeRequiredDescription
idpathintegerYesResource identifier.

Request body

This endpoint does not require a JSON request body.

Response

All successful responses use the EdgeCron API envelope.

{
  "code": 0,
  "message": "success",
  "request_id": "req_abc123",
  "data": {
    "id": 101,
    "app_id": "app_123",
    "name": "billing-webhook",
    "url": "https://example.com/webhooks/edgecron",
    "method": "POST",
    "headers": {},
    "secret": "whsec_example",
    "timeout_ms": 5000,
    "retry_policy_id": 101,
    "filter_events": "invoice.*",
    "status": "enabled",
    "created_at": "2026-07-01T12:00:00Z",
    "updated_at": "2026-07-01T12:00:00Z"
  }
}

Schema

ParametersTypeRequiredDescription
idintegerNoResource identifier.
app_idstringNoApplication identifier.
namestringNo-
urlstring (uri)No-
methodPOST / PUT / PATCHNoAllowed: POST, PUT, PATCH.
headersobjectNo-
secretstringNo-
timeout_msintegerNo-
retry_policy_idintegerNo-
filter_eventsstringNo-
statusenabled / disabledNoAllowed: enabled, disabled.
created_atstring (date-time)NoCreation timestamp.
updated_atstring (date-time)NoLast update timestamp.